@import 'structogram';
@import 'importExport';
@import 'cases';
@import 'code';
@import 'svg';

$font-stack: 'Verdana', Geneva, sans-serif;

header {
  margin-top: 0.5em;
}

body {
  font: 100% $font-stack;
  max-width: 100vw;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: rgb(250, 250, 250);
  overflow-x: hidden;

  main {
    flex: 1;
  }
}

footer {
  text-align: center;
  font-size: small;
  padding: 8px;
}

footer div {
  display: inline-block;
  margin: 0 0.5em;
}

strong {
  color: rgb(38, 64, 64);
}

.container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: stretch;
  position: relative;
}

.vcontainer {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-items: stretch;
  position: relative;
  justify-content: flex-start;
}

.column {
  flex-basis: 100%;
}

@media screen and (min-width: 800px) {
  .column {
    flex: 1;
  }
}

.logo-container {
  min-height: 2.5em;
  width: 3em;
  float: left;
}

.nav-logo-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;

  a {
    text-decoration: none;
    margin-left: calc(0.5em + 2px);
  }

  strong {
    padding-left: 1em;
    color: rgb(38, 64, 64);
    font-size: 1.5em;
  }
}

.nav-col {
  flex: auto;
  margin: auto;
}

.nav-col-opt {
  flex-basis: 100%;
  margin-top: 0.5em;
}

@media screen and (min-width: 731px) {
  .nav-col-opt {
    flex: auto;
    margin: auto;
  }
}

.options-container {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: right;
}

.options-element {
  height: 3em;
  flex-basis: 5em;
}

.hand {
  cursor: pointer;
}

.center {
  flex: auto;
  margin: auto;
}

.columnEditorFull {
  margin-top: 0.5em;
  flex-basis: 100%;
}

.columnEditorStructogram {
  flex-basis: 100%;
  margin: 0.2em;
}

.columnEditorCode {
  margin: 0.2em;
  padding-top: 1em;
  flex-grow: 0;
  width: 100%;
}

@media screen and (min-width: 480px) {
  .columnEditorCode {
    width: 50%;
  }
}

@media screen and (min-width: 1200px) {
  .columnEditorStructogram {
    flex-basis: 100%;
  }

  .columnEditorCode {
    padding-top: 0;
    margin: 0 1em;
    width: calc(25% - 4.5em);
  }
}

.float-right {
  float: right;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

.ov-hidden {
  overflow: hidden;
}

.fixFullWidth {
  flex-basis: 100%;
  flex-grow: 0;
  flex-shrink: 0;
}

.tooltip {
  position: relative;
  &:after {
    background: rgba(50, 50, 50, 0.95);
    border-radius: 0;
    bottom: 100%;
    color: white;
    content: attr(data-tooltip);
    display: block;
    left: 50%;
    max-width: 15em;
    opacity: 0;
    overflow: hidden;
    padding: 0.3em;
    pointer-events: none;
    position: absolute;
    text-overflow: ellipsis;
    transform: translate(-50%, 0.3em);
    transition: opacity 0.2s, transform 0.2s;
    white-space: pre;
    z-index: 1;
  }
  &:focus,
  &:hover {
    &::after {
      opacity: 1;
      transform: translate(-50%, -0.3em);
    }
  }
  &[disabled],
  &.disabled {
    pointer-events: auto;
  }

  &.tooltip-bottom {
    &::after {
      bottom: auto;
      top: 100%;
      transform: translate(-50%, -0.3em);
    }
    &:focus,
    &:hover {
      &::after {
        transform: translate(-50%, 0.3em);
      }
    }
  }

  &.tooltip-bottomCode {
    &::after {
      bottom: auto;
      top: 100%;
      left: -170%;
      transform: translate(-50%, -0.3em);
    }
    &:focus,
    &:hover {
      &::after {
        transform: translate(-50%, 0.3em);
      }
    }
  }

  &.tooltip-bottomInfo {
    &::after {
      bottom: auto;
      top: 100%;
      left: 0;
      transform: translate(-50%, -0.3em);
    }
    &:focus,
    &:hover {
      &::after {
        transform: translate(-50%, 0.3em);
      }
    }
  }

  &.tooltip-bottoml {
    &::after {
      bottom: auto;
      top: 75%;
      left: -100%;
      transform: translate(-50%, -0.3em);
    }
    &:focus,
    &:hover {
      &::after {
        transform: translate(-50%, 0.3em);
      }
    }
  }
}

.divider {
  display: block;
  position: relative;
  border-top: 0.1em solid rgb(38, 64, 64);
  height: 0.1em;
  margin: 0.2em 0;
}

.borderWidth {
  flex: 0 0 3px;
}
.borderHeight {
  height: 2px;
}

.fullWidth {
  width: 100%;
}

.fullHeight {
  height: 100%;
}

.boldText {
  font-weight: bold;
  color: rgb(38, 64, 64);
}

.infoBox {
  dt {
    margin-top: 0.6em;
    font-weight: bold;
    color: rgb(38, 64, 64);
  }

  dd {
    margin-left: 5em;

    span {
      display: block;
      width: 100%;
    }
  }
}

#structogram {
  border-right: 1px solid black
}
